"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AuthService_1 = require("../services/AuthService");
class AuthController {
    async login(req, res, next) {
        try {
            const payload = req.body;
            const token = await AuthService_1.default.login(payload);
            res.status(200).send({
                message: 'Logged in successfully',
                data: token
            });
        }
        catch (error) {
            next(error);
        }
    }
    async signUp(req, res, next) {
        try {
            const payload = req.body;
            await AuthService_1.default.signUp(payload);
            res.status(200).send({
                message: 'Signed up successfully'
            });
        }
        catch (error) {
            next(error);
        }
    }
}
exports.default = new AuthController();
