"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RoleService_1 = require("../services/RoleService");
class RoleController {
    async createRole(req, res, next) {
        try {
            const payload = req.body;
            const role = await RoleService_1.default.createRole(payload);
            res.status(200).send({
                message: 'Role created successfully',
                data: role
            });
        }
        catch (error) {
            next(error);
        }
    }
    async getRoles(req, res, next) {
        try {
            const roles = await RoleService_1.default.getRoles();
            res.status(200).send({
                message: 'Roles fetched successfully',
                data: roles
            });
        }
        catch (error) {
            next(error);
        }
    }
}
exports.default = new RoleController();
