"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UserService_1 = require("../services/UserService");
class UserController {
    async createUser(req, res, next) {
        try {
            const payload = req.body;
            const user = await UserService_1.default.createUser(payload);
            res.status(200).send({
                message: 'User created successfully',
                data: user
            });
        }
        catch (error) {
            next(error);
        }
    }
    async getUsers(req, res, next) {
        try {
            const user = await UserService_1.default.getUsers();
            res.status(200).send({
                message: 'Users fetched successfully',
                data: user
            });
        }
        catch (error) {
            next(error);
        }
    }
    async getUserDetail(req, res, next) {
        try {
            const userId = Number(req.params.id);
            const user = await UserService_1.default.getUserDetail(userId);
            res.status(200).send({
                message: 'User details fetched successfully',
                data: user
            });
        }
        catch (error) {
            next(error);
        }
    }
    async updateUser(req, res, next) {
        try {
            const userId = Number(req.params.id);
            const payload = req.body;
            await UserService_1.default.updateUser(userId, payload);
            res.status(200).send({
                message: 'User updated successfully'
            });
        }
        catch (error) {
            next(error);
        }
    }
    async deleteUser(req, res, next) {
        try {
            const userId = Number(req.params.id);
            await UserService_1.default.deleteUser(userId);
            res.status(200).send({
                message: 'User deleted successfully'
            });
        }
        catch (error) {
            next(error);
        }
    }
}
exports.default = new UserController();
