"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const appConfig_1 = require("../../../config/appConfig");
const logger_1 = require("../../../utils/logger");
function errorHandler(err, req, res, next) {
    const response = {};
    if (err.message) {
        const logs = {
            type: err.name,
            message: err.message,
            method: req.method,
            path: req.path,
            params: req.route.path,
            body: req.body,
            query: req.query,
            stack: err.stack
        };
        logger_1.default.error(JSON.stringify(logs));
        response.message = appConfig_1.default.app.isDevelopment
            ? err.message
            : 'Something wrong!';
    }
    res.status(422).send(response);
}
exports.default = errorHandler;
