"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Validate = exports.Requirements = void 0;
const express_validator_1 = require("express-validator");
const requirements_1 = require("./requirements");
exports.Requirements = requirements_1.default;
const Validate = (validations) => {
    return async (req, res, next) => {
        await Promise.all(validations.map((validation) => validation.run(req)));
        const errors = (0, express_validator_1.validationResult)(req);
        if (errors.isEmpty()) {
            return next();
        }
        res.status(400).json({
            message: 'Invalid form',
            errors: errors.array()
        });
    };
};
exports.Validate = Validate;
