"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
const config_1 = require("../../database/config");
const Role_1 = require("./Role");
class User extends sequelize_1.Model {
}
User.init({
    id: {
        type: sequelize_1.DataTypes.INTEGER,
        primaryKey: true,
        autoIncrement: true
    },
    roleId: {
        type: sequelize_1.DataTypes.INTEGER
    },
    firstName: {
        type: sequelize_1.DataTypes.STRING
    },
    lastName: {
        type: sequelize_1.DataTypes.STRING
    },
    email: {
        type: sequelize_1.DataTypes.STRING,
        unique: true,
        allowNull: false
    },
    password: {
        type: sequelize_1.DataTypes.STRING,
        allowNull: false
    }
}, {
    tableName: 'users',
    freezeTableName: true,
    timestamps: true,
    paranoid: true,
    sequelize: config_1.db
});
User.belongsTo(Role_1.default, {
    foreignKey: 'roleId',
    as: 'role'
});
exports.default = User;
