"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const AuthController_1 = require("../../controllers/AuthController");
const validator_1 = require("../../middlewares/validator");
const mainRouter = (0, express_1.Router)();
mainRouter
    .route('/login')
    .post((0, validator_1.Validate)(validator_1.Requirements.login), AuthController_1.default.login);
mainRouter
    .route('/signup')
    .post((0, validator_1.Validate)(validator_1.Requirements.signup), AuthController_1.default.signUp);
exports.default = mainRouter;
