"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const RoleController_1 = require("../../controllers/RoleController");
const auth_1 = require("../../middlewares/auth");
const validator_1 = require("../../middlewares/validator");
const constants_1 = require("../../../constants");
const rolesRouter = (0, express_1.Router)();
rolesRouter
    .route('/')
    .post(auth_1.default.authenticate, (0, validator_1.Validate)(validator_1.Requirements.createRole), auth_1.default.checkRoles(constants_1.ROLE.ADMIN), RoleController_1.default.createRole)
    .get(auth_1.default.authenticate, auth_1.default.checkRoles(constants_1.ROLE.ADMIN), RoleController_1.default.getRoles);
exports.default = rolesRouter;
