"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RoleRepository_1 = require("../repositories/RoleRepository");
const helpers_1 = require("../../utils/helpers");
class RoleService {
    async createRole(payload) {
        const slug = (0, helpers_1.slugify)(payload.name);
        const role = await RoleRepository_1.default.getRoleBySlug(slug);
        if (role) {
            throw new Error('Role is exist');
        }
        return RoleRepository_1.default.createRole(Object.assign(Object.assign({}, payload), { slug }));
    }
    getRoles() {
        return RoleRepository_1.default.getRoles();
    }
}
exports.default = new RoleService();
