"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dotenv = require("dotenv");
dotenv.config();
const server_1 = require("./server");
const logger_1 = require("./utils/logger");
const appConfig_1 = require("./config/appConfig");
const PORT = appConfig_1.default.app.port;
function startServer() {
    const app = (0, server_1.createServer)();
    return app.listen(PORT, () => {
        logger_1.default.debug(`App ${appConfig_1.default.app.name} with api version ${appConfig_1.default.app.apiVersion} is starting`);
        logger_1.default.debug(`App is listening on port ${PORT}`);
    });
}
startServer();
