"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const appConfig_1 = require("../../config/appConfig");
const jwt = require("jsonwebtoken");
class JWT {
    signToken(userId, expires = '1d') {
        return new Promise((resolve, reject) => {
            jwt.sign({
                id: userId,
                iat: Date.now()
            }, appConfig_1.default.app.secret, {
                expiresIn: expires
            }, (err, token) => {
                if (err) {
                    reject(err);
                }
                resolve(token);
            });
        });
    }
    verifyToken(token) {
        return new Promise((resolve, reject) => {
            jwt.verify(token, appConfig_1.default.app.secret, (err, decoded) => {
                if (err) {
                    reject(err);
                }
                resolve(decoded);
            });
        });
    }
}
exports.default = new JWT();
